import 'package:flutter_test/flutter_test.dart';
import 'package:rec_api_dart/src/helpers/date_helper.dart';

void main() {
  test('DateHelper.getWeekdayName works', () async {
    expect(DateHelper.getWeekdayName(1), 'MONDAY');
    expect(DateHelper.getWeekdayName(2), 'TUESDAY');
    expect(DateHelper.getWeekdayName(3), 'WEDNESDAY');
    expect(DateHelper.getWeekdayName(4), 'THURSDAY');
    expect(DateHelper.getWeekdayName(5), 'FRIDAY');
    expect(DateHelper.getWeekdayName(6), 'SATURDAY');
    expect(DateHelper.getWeekdayName(7), 'SUNDAY');
  });

  test('DateHelper.formatDate works', () async {
    expect(
      DateHelper.formatDate(DateTime.parse('2012-02-27 13:27:00')),
      '13:27',
    );

    expect(
      DateHelper.formatDate(DateTime.parse('2012-02-27 13:43:00')),
      '13:43',
    );
  });
}
