import 'package:flutter_test/flutter_test.dart';
import 'package:rec_api_dart/src/api_paths.dart';
import 'package:rec_api_dart/src/auth.dart';
import 'package:http/http.dart' as http;
import 'package:rec_api_dart/src/services/public/phone_verification_service.dart';

import '../../http_stubs.dart';
import '../../mocks/storage_mock.dart';
import '../../test_env.dart';
import 'login_service.mocks.dart';

void main() {
  final mockStorage = StorageMock();
  Auth.storage = mockStorage;

  test('PhoneVerificationService.login calls correctly and returns', () async {
    final client = MockClient();
    stubPost(
      client,
      ApiPaths.verifyPhone.asUri(env.API_URL),
      http.Response(
        '{}',
        200,
      ),
    );

    final service = PhoneVerificationService(
      env: env,
      client: client,
    );

    final response = await service.validatePhone(
      smscode: '1234',
      dni: 'test',
      prefix: '34',
      phone: '66666',
    );

    expect(
      response,
      isA<Map<String, dynamic>>(),
    );
  });
}
